/* General styles */
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

/* Selection styles */
*::selection,
*::-moz-selection {
  background-color: gray;
}

/* Touch highlight styles */
* {
  -webkit-tap-highlight-color: transparent;
}

/* Base styles */
html {
  font-size: 62.5%;
  scroll-behavior: smooth;
}

:root {
  font-family: Whitney, -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Helvetica, Arial, sans-serif;
  cursor: default;
}

/* Preloader styles */
#preloader {
  background-color: black;
  height: 100%;
  width: 100%;
  position: fixed;
  z-index: 99999;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow-y: hidden;
  background-image: url(src/svg/Pulse-0.4s-200px.svg);
  background-repeat: no-repeat;
  background-position: center;
  background-size: 10%;
  filter: invert(1);
}

.loader {
  width: 112px;
  height: 112px;
}

.box1,
.box2,
.box3 {
  border: 16px solid #6aff03;
  box-sizing: border-box;
  position: absolute;
  display: block;
}

.box1 {
  width: 112px;
  height: 48px;
  margin-top: 64px;
  margin-left: 0px;
  animation: abox1 4s 1s forwards ease-in-out infinite;
}

.box2 {
  width: 48px;
  height: 48px;
  margin-top: 0px;
  margin-left: 0px;
  animation: abox2 4s 1s forwards ease-in-out infinite;
}

.box3 {
  width: 48px;
  height: 48px;
  margin-top: 0px;
  margin-left: 64px;
  animation: abox3 4s 1s forwards ease-in-out infinite;
}

@keyframes abox1 {
  0% {
    width: 112px;
    height: 48px;
    margin-top: 64px;
    margin-left: 0px;
  }
  50% {
    width: 48px;
    height: 48px;
    margin-top: 64px;
    margin-left: 0px;
  }
  100% {
    width: 48px;
    height: 48px;
    margin-top: 0px;
    margin-left: 0px;
  }
}

@keyframes abox2 {
  0% {
    width: 48px;
    height: 48px;
    margin-top: 0px;
    margin-left: 0px;
  }
  50% {
    width: 112px;
    height: 48px;
    margin-top: 0px;
    margin-left: 0px;
  }
  100% {
    width: 48px;
    height: 48px;
    margin-top: 0px;
    margin-left: 64px;
  }
}

@keyframes abox3 {
  0% {
    width: 48px;
    height: 48px;
    margin-top: 0px;
    margin-left: 64px;
  }
  50% {
    width: 48px;
    height: 112px;
    margin-top: 0px;
    margin-left: 64px;
  }
  100% {
    width: 112px;
    height: 48px;
    margin-top: 64px;
    margin-left: 0px;
  }
}

/* Main styles */
main {
  background-color: rgb(10, 10, 10);
  height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
}

/* Landing page styles */
.logoContainer {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 80%;
}

.logoContainer img {
  width: 40%;
}

.buttonContainer {
  height: 20%;
  display: flex;
  align-items: center;
  justify-content: center;
}

a {
  text-decoration: none;
}

button {
  display: flex;
  align-items: center;
  font-family: inherit;
  font-weight: 500;
  font-size: 17px;
  padding: 0.8em 1.3em 0.8em 0.9em;
  color: black;
  background: white;
  border: none;
  letter-spacing: 0.05em;
  transition: color 0.5s, box-shadow 0.5s;
  cursor: pointer;
}

button:hover {
  color: rgb(50, 119, 1);
  box-shadow: 0px 0px 10px rgba(112, 255, 10, 0.815),
    0px 0px 30px rgba(108, 255, 3, 0.459);
}
